%define upstream_name    Getopt-Long-Complete
%define upstream_version 0.317

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A drop-in replacement for Getopt::Long, with tab completion
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Getopt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Complete::Bash) >= 0.333.0
BuildRequires: perl(Complete::Fish)
BuildRequires: perl(Complete::Getopt::Long) >= 0.481.0
BuildRequires: perl(Complete::Tcsh)
BuildRequires: perl(Complete::Util) >= 0.616.0
BuildRequires: perl(Complete::Zsh)
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Getopt::Long) >= 2.500.0
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Log::ger) >= 0.38.0
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module provides a quick and easy way to add tab completion feature to
your scripts, including scripts already written using the venerable the
Getopt::Long manpage module.

This module is basically just a thin wrapper for Getopt::Long. Its
'GetOptions' function just checks for COMP_LINE/COMP_POINT environment
variable before passing its arguments to Getopt::Long's GetOptions. If
COMP_LINE is defined, completion reply will be printed to STDOUT and then
the program will exit. Otherwise, Getopt::Long's GetOptions is called.

To keep completion quick, you should do 'GetOptions()' or
'GetOptionsWithCompletion()' as early as possible in your script.
Preferably before loading lots of other Perl modules.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/demo-getopt-long-complete
%{_mandir}/man1/demo-getopt-long-complete.1*

%changelog
* Wed Aug 30 2023 tv <tv> 0.317.0-1.mga10
+ Revision: 1981919
- update to 0.317

* Mon Mar 21 2022 umeabot <umeabot> 0.316.0-2.mga9
+ Revision: 1816174
- Mageia 9 Mass Rebuild

* Wed Feb 16 2022 tv <tv> 0.316.0-1.mga9
+ Revision: 1777612
- update to 0.316

* Fri Jul 03 2020 tv <tv> 0.315.0-1.mga8
+ Revision: 1601604
- update to 0.315

* Wed Jul 01 2020 tv <tv> 0.314.0-1.mga8
+ Revision: 1600895
- update to 0.314

* Sun Apr 12 2020 tv <tv> 0.313.0-1.mga8
+ Revision: 1566841
- update to 0.313

* Sat Feb 29 2020 tv <tv> 0.312.0-1.mga8
+ Revision: 1552097
- update to 0.312

* Fri Feb 28 2020 tv <tv> 0.311.0-1.mga8
+ Revision: 1551962
- update to 0.311

* Fri Feb 14 2020 umeabot <umeabot> 0.310.0-2.mga8
+ Revision: 1520678
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Dec 04 2018 tv <tv> 0.310.0-1.mga7
+ Revision: 1338373
- update to 0.310

* Thu Jul 31 2014 guillomovitch <guillomovitch> 0.90.0-1.mga7
+ Revision: 658761
- imported package perl-Getopt-Long-Complete

